import Service from '@ember/service';
import { tracked } from "@glimmer/tracking";

export default class WordSelectService extends Service {
  @tracked currentWord = '';

  select(word) {
    this.currentWord = word;
  }

  current() {
    return this.currentWord;
  }

  isCurrentByOgntId(word) {
    return word.ogntSort == this.currentWord.ogntSort;
  }

  isCurrentByStrongsNumber(word) {
    return word.strongsNumber == this.currentWord.strongsNumber
  }
}
